From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 20 February 2009<P>

Is it just me or is February too hard to spell?
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 20 February 2009<P>

Jack; I really don't want to see two women kissing passionately, no, nor two men for that matter. I have nothing against their doing it. I just don't want to be there unless it's in a movie so I can stand outside of it and peek in.<BR>
<BR>
Kirk; humm February, I never thought of it but probably you are right. There are a lot of words like that I have to spell check.<BR>
<BR>
Everyone; Where is everybody? Hope you are all keeping warm/cool and doing well. These are tough times and bound to get tougher. Check in and tell us you are hanging in there ok?<BR>
<BR>
bk<BR>
<BR>

<HR>